<!DOCTYPE html>
<!--[if IE 9]><html class="lt-ie10" lang="<?= $html_lang; ?>"> <![endif]-->
<html lang="<?= $html_lang; ?>">
<head>
<?php
if($plan_type != 'free' && $plan_type != 'free_feat') {
	?>
	<title><?= $txt_html_title; ?> - <?= $site_name; ?></title>
	<?php
}
else {
	?>
	<title><?= $txt_html_title_free; ?> - <?= $site_name; ?></title>
	<?php
}
?>
<meta name="robots" content="noindex">
<?php require_once(__DIR__ . '/_user_html_head.php'); ?>
</head>
<body class="tpl-process-add-place">
<?php require_once(__DIR__ . '/_user_header.php'); ?>

<div class="wrapper">
	<div class="full-block align-center">
		<?php
		if($plan_type != 'free' && $plan_type != 'free_feat' && !$is_admin) {
			?>
			<h1><?= $txt_main_title; ?></h1>

			<div class="checkout-box-wrapper clearfix">
				<div class="checkout-box">
					<p><?= $result_message; ?></p>

					<?php
					if(!$has_errors) {
						?>
						<h2><?= $txt_order_details_title; ?></h2>

						<p><?= $txt_selected_plan; ?>: <strong><?= $plan_name; ?></strong><br>
						<?= $txt_plan_value; ?>: <strong><?= $currency_symbol; ?> <?= $plan_price; ?></strong></p>

						<form action="<?= $paypal_url; ?>" method="post" id="<?= $plan_type; ?>-<?= $plan_id; ?>">
							<input type="hidden" name="cmd"           value="<?= $cmd; ?>">
							<input type="hidden" name="notify_url"    value="<?= $notify_url; ?>">
							<input type="hidden" name="bn"            value="<?= $bn; ?>">
							<input type="hidden" name="business"      value="<?= $paypal_merchant_id; ?>">
							<input type="hidden" name="item_name"     value="<?= $plan_name; ?> - <?= $site_name; ?>">
							<input type="hidden" name="currency_code" value="<?= $currency_code; ?>">
							<input type="hidden" name="custom"        value="<?= $place_id; ?>">
							<input type="hidden" name="image_url"     value="<?= $paypal_checkout_logo_url; ?>">
							<input type="hidden" name="lc"            value="<?= $paypal_locale; ?>">
							<input type="hidden" name="return"        value="<?= $baseurl; ?>/user/thanks">
							<input type="hidden" name="charset"       value="utf-8">

							<!-- amounts -->
							<?php
							if($plan_type == 'monthly' || $plan_type == 'monthly_feat') {
								?>
								<input type="hidden" name="a3"  value="<?= $a3; ?>">
								<input type="hidden" name="p3"  value="<?= $p3; ?>">
								<input type="hidden" name="t3"  value="<?= $t3; ?>">
								<input type="hidden" name="src" value="1">
								<?php
							}
							if($plan_type == 'one_time' || $plan_type == 'one_time_feat') {
								?>
								<input type="hidden" name="amount" value="<?= $amount; ?>">
								<?php
							}
							?>

							<!-- the submit button -->
							<input type="submit" id="submit" name="submit" value="<?= $txt_btn_submit; ?>" class="btn btn-blue">
							<div class="form-row">
								<img src="https://www.paypalobjects.com/webstatic/mktg/logo/AM_mc_vs_dc_ae.jpg" width="120" />
							</div>
						</form>
						<?php
					}
				?>
				</div><!-- .checkout-box -->
			</div><!-- .checkout-box-wrapper -->
		<?php
		}
		else {
		?>
			<h1><?= $txt_main_title_free; ?></h1>

			<?= $txt_thanks; ?>
		<?php
		}
		?>
	</div><!-- .full-block -->
</div><!-- .wrapper -->

<?php require_once(__DIR__ . '/_user_footer.php'); ?>
</body>
</html>